[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RedHat Compatibility

Rainer Dorsch <rainer.dorsch@informatik.uni-stuttgart.de> writes:

> Debian needs to be redhat binary compatible.

No. Vendors, RedHat and Debian needs to conform to Linux Standard Base.

> It is really bad, that such a minor version number incompatibility in the 
> libc creates such difficulties (more likely it is not the version number 
> incompatibility).

You problem is not libc which has an almos stable ABI. libstdc++ on
the other hand hasn't a stable standardised ABI, which makes it
impossible to really solve the problem.

When libstdc++ is updated we often looses compatibility with older
Debian-instalations caused by thin unstableness of the C++-ABI.


Reply to: